Subject: RE: I-D examples wanted

From: "Tobias Gondrom" <[email-masked]>
Date: Tue, 14 Mar 2006 14:47:25 +0100

Fully agree. Usually I and I think most of the editors in my WG use any
XML editor for the editing work of the I-D and then simply send the XML
through the xml2rfc. Personally, I prefer the online conversion at
http://xml.resource.org/ - this way you don't have to bother with any
local libs, etc.

Tobias

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, March 14, 2006 2:40 PM
To: [email-masked]; [email-masked]
Subject: RE: I-D examples wanted

James,

XML2RFC is your friend.  Its not the most fun tool to use for editing
drafts, but it seems to have solved most of nit-picky boilerplate errors
I have had in the past.

A great resource is:
http://tools.ietf.org/inventory/author-tools 

John

>-----Original Message-----
>From: ext James Carlson [mailto:[email-masked]] 
>Sent: 14 March, 2006 15:36
>To: [email-masked]
>Subject: I-D examples wanted
>
>One of the newer pppext participants had an idea to help I-D 
>authors (and wg chairs as well), and I figured this would be a 
>reasonable place to solicit comments and perhaps some help.
>
>It seems that getting all of the newly-picky boilerplate and 
>layout bits right is becoming a bit of a barrier, to the point 
>where only a handful of people seem to get it right in the 
>first shot, and most are sent back through hours of drudge work.
>
>The idea was to have a set of example correctly-formed I-D 
>sources (in various useful formats, say nroff and XML) on one 
>of the I-D web pages (such as 
>http://www.ietf.org/ietf/1id-guidelines.html or perhaps 
>http://www.rfc-editor.org/formatting.html), so that authors 
>could crib from something known to be right.  Better still if 
>these could be kept up-to-date with each change to the 
>process.  (It seems virtually certain to me that there'll be 
>more changes in the future.)
>
>The only referenced examples I could dig up directly were these:
>
>  ftp://ftp.rfc-editor.org/in-notes/rfc-editor/2-nroff.template
>  ftp://ftp.rfc-editor.org/in-notes/rfc-editor/2-Word.template.rtf
>
>which are both stale enough to be useless for this purpose.  
>Am I looking in the wrong place, or do we expect I-D authors 
>to be illuminated manuscript writers as well?  ;-}
>
>-- 
>James Carlson, KISS Network                    
><[email-masked]>
>Sun Microsystems / 1 Network Drive         71.232W   Vox +1 
>781 442 2084
>MS UBUR02-212 / Burlington MA 01803-2757   42.496N   Fax +1 
>781 442 1677
>
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 14 Mar 2006 16:28:02 -0800

Hi -

> From: "Tobias Gondrom" <[email-masked]>
> To: <[email-masked]>; <[email-masked]>
> Cc: <[email-masked]>
> Sent: Tuesday, March 14, 2006 5:47 AM

> http://xml.resource.org/ - this way you don't have to bother with any
...

Though I'd rather use nroff, I strongly agree that the online coversion at
http://xml.resource.org/ is for most cases the best way to go,
especially if you want to get up to speed quickly and get consistent
results no matter what computer you're using.

Randy